PROGRAM sinus(output);

{Das Programm druckt eine Sinuskurve senkrechtstehend aus}

CONST symbol='*';

VAR y:real;
    x,i,hor:integer;

BEGIN

  writeln('                 -1                   0                   1     ');
  write('+-----------------+-------------------+-------------------+-----');
  writeln('-------> X-Achse');

  FOR i:=1 TO 63 DO
    BEGIN
      y:=i/10;
      x:=round(sin(y)*20+38);
      IF i mod 10 = 0 THEN
        writeln('+',y:1:0,symbol:x-1)
      ELSE
        writeln('|',symbol:x)
    END;

  writeln('V Y-Achse')

END.